package com.ruoyi.app.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 白条生产记录对象 pork_side_produce
 * 
 * @author coede
 * @date 2025-03-19
 */
public class PorkSideProduceRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public static final String DEFAULT_NAME = "白条";

    /** ID */
    private Long id;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String productName;

    /** 生产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生产时间", width = 30)
    private Date produceTime;

    /** 肉商ID */
    @Excel(name = "肉商ID")
    private Long purchaserId;

    /** 吊钩类型 */
    @Excel(name = "吊钩类型")
    private String hookName;

    /** 吊钩扣重 */
    @Excel(name = "吊钩扣重")
    private BigDecimal hookWeight;

    /** 称显重量 */
    @Excel(name = "称显重量")
    private BigDecimal scaleWeight;

    /** 干损重量 */
    @Excel(name = "干损重量")
    private BigDecimal dryLossWeight;

    /** 宰后重量 */
    @Excel(name = "宰后重量")
    private BigDecimal finalWeight;

    /** 删除标志 */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setProductName(String productName) 
    {
        this.productName = productName;
    }

    public String getProductName() 
    {
        return productName;
    }

    public void setProduceTime(Date produceTime) 
    {
        this.produceTime = produceTime;
    }

    public Date getProduceTime() 
    {
        return produceTime;
    }

    public void setPurchaserId(Long purchaserId)
    {
        this.purchaserId = purchaserId;
    }

    public Long getPurchaserId()
    {
        return purchaserId;
    }

    public void setHookName(String hookName) 
    {
        this.hookName = hookName;
    }

    public String getHookName() 
    {
        return hookName;
    }

    public void setHookWeight(BigDecimal hookWeight) 
    {
        this.hookWeight = hookWeight;
    }

    public BigDecimal getHookWeight() 
    {
        return hookWeight;
    }

    public void setScaleWeight(BigDecimal scaleWeight) 
    {
        this.scaleWeight = scaleWeight;
    }

    public BigDecimal getScaleWeight() 
    {
        return scaleWeight;
    }

    public void setDryLossWeight(BigDecimal dryLossWeight) 
    {
        this.dryLossWeight = dryLossWeight;
    }

    public BigDecimal getDryLossWeight() 
    {
        return dryLossWeight;
    }

    public void setFinalWeight(BigDecimal finalWeight) 
    {
        this.finalWeight = finalWeight;
    }

    public BigDecimal getFinalWeight() 
    {
        return finalWeight;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productName", getProductName())
            .append("produceTime", getProduceTime())
            .append("purchaserId", getPurchaserId())
            .append("hookName", getHookName())
            .append("hookWeight", getHookWeight())
            .append("scaleWeight", getScaleWeight())
            .append("dryLossWeight", getDryLossWeight())
            .append("finalWeight", getFinalWeight())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
